package com.cym.model;

import java.io.Serializable;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;

import com.cym.bean.CreateTime;
import com.cym.bean.InitValue;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.SchemaProperty;

@Schema(description ="用户等级")
@Entity
public class Level implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 105453908518958974L;

	@Schema(description ="主键")
	@Id
	String id;

	@Schema(description ="名称")
	String name;

	@Schema(description ="类型 0:折扣 1:扣减金额")
	@InitValue("0")
	Integer type;

	@Schema(description ="折扣")
	Double discount;
	
//	@InitValue("0")
//	@Schema(description ="扣减金额(CNY)")
//	Double subtractionCny;
	
	@InitValue("0")
	@Schema(description ="扣减金额(USD)")
	Double subtractionUsd;
	
	@CreateTime
	Long createTime;

	public Long getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}

//	public Double getSubtractionCny() {
//		return subtractionCny;
//	}
//
//	public void setSubtractionCny(Double subtractionCny) {
//		this.subtractionCny = subtractionCny;
//	}

	public Double getSubtractionUsd() {
		return subtractionUsd;
	}

	public void setSubtractionUsd(Double subtractionUsd) {
		this.subtractionUsd = subtractionUsd;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Double getDiscount() {
		return discount;
	}

	public void setDiscount(Double discount) {
		this.discount = discount;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

}
